<template>
  <div class="container" id="app">
    <button :class="{ off: btn_state == 'OFF', on: btn_state == 'ON' }" @click="(btn_state == 'ON' ? (btn_state = 'OFF') : (btn_state = 'ON'))">{{btn_state}}</button>
  </div>
</template>

<script>
export default {
  data() {
    return {
      btn_state: "ON"
    }
  }
}
</script>

<style>
.container {
  margin: 0 auto;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.title {
  font-family:
    'Quicksand',
    'Source Sans Pro',
    -apple-system,
    BlinkMacSystemFont,
    'Segoe UI',
    Roboto,
    'Helvetica Neue',
    Arial,
    sans-serif;
  display: block;
  font-weight: 300;
  font-size: 100px;
  color: #35495e;
  letter-spacing: 1px;
}

.subtitle {
  font-weight: 300;
  font-size: 42px;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;
}

.links {
  padding-top: 15px;
}

button{
  color: #fff;    
}

button.off{
  background: red;
}

button.on{
  background: green;
}
</style>
